Deletes the task status of the workflow.

POSThttps://api.awork.com/api/v1/workflows/{workflowId}/taskstatuses/{taskStatusId}/delete
POST https://api.awork.com/api/v1/workflows/{workflowId}/taskstatuses/{taskStatusId}/delete

Deletes the task status of the workflow. A workflow must always have at least one task status of type 'todo' and one of type 'done'. If you attempt to delete the last status of either type, this endpoint will return a BadRequest error. If any tasks are currently using this status, you must provide a NewTaskStatusId in the request body to migrate those tasks to a different status within the same workflow.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

workflowIdstringRequired
format: uuid

The Id of the workflow.

taskStatusIdstringRequired
format: uuid

The Id of the task status to delete.

Request body Required

Optional form containing the new status Id for migration.

application/json

newTaskStatusIdstring or nullOptional
format: uuid

The Id of the task status to migrate tasks to. Required if any tasks are currently using the status being deleted. Must be a different status within the same workflow.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation